# ncurses 5.9 - patch 20121013 - Thomas E. Dickey
#
# ------------------------------------------------------------------------------
#
# Ncurses 5.9 is at
# 	ftp.gnu.org:/pub/gnu
#
# Patches for ncurses 5.9 are in the subdirectory
# 	ftp://invisible-island.net/ncurses/5.9
#
# ------------------------------------------------------------------------------
# ftp://invisible-island.net/ncurses/5.9/ncurses-5.9-20121013.patch.gz
# patch by Thomas E. Dickey <dickey@invisible-island.net>
# created  Sat Oct 13 23:32:37 UTC 2012
# ------------------------------------------------------------------------------
# NEWS                     |    6 +++++-
# dist.mk                  |    4 ++--
# misc/terminfo.src        |   20 ++++++++++++++++----
# package/debian/changelog |    4 ++--
# package/ncurses.spec     |    2 +-
# 5 files changed, 26 insertions(+), 10 deletions(-)
# ------------------------------------------------------------------------------
Index: NEWS
Prereq:  1.1962 
--- ncurses-5.9-20121006+/NEWS	2012-10-06 19:48:38.000000000 +0000
+++ ncurses-5.9-20121013/NEWS	2012-10-13 23:19:59.000000000 +0000
@@ -25,7 +25,7 @@
 -- sale, use or other dealings in this Software without prior written        --
 -- authorization.                                                            --
 -------------------------------------------------------------------------------
--- $Id: NEWS,v 1.1962 2012/10/06 19:48:38 tom Exp $
+-- $Id: NEWS,v 1.1963 2012/10/13 23:19:59 tom Exp $
 -------------------------------------------------------------------------------
 
 This is a log of changes that ncurses has gone through since Zeyd started
@@ -45,6 +45,10 @@
 Changes through 1.9.9e did not credit all contributions;
 it is not possible to add this information.
 
+20121013
+	+ add vte-2012, gnome-2012, making these the defaults for vte/gnome
+	  (patch by Christian Persch).
+
 20121006
 	+ improve CF_GCC_VERSION to work around Debian's customization of gcc
 	  --version message.
Index: dist.mk
Prereq:  1.895 
--- ncurses-5.9-20121006+/dist.mk	2012-10-06 17:13:57.000000000 +0000
+++ ncurses-5.9-20121013/dist.mk	2012-10-13 14:37:04.000000000 +0000
@@ -25,7 +25,7 @@
 # use or other dealings in this Software without prior written               #
 # authorization.                                                             #
 ##############################################################################
-# $Id: dist.mk,v 1.895 2012/10/06 17:13:57 tom Exp $
+# $Id: dist.mk,v 1.896 2012/10/13 14:37:04 tom Exp $
 # Makefile for creating ncurses distributions.
 #
 # This only needs to be used directly as a makefile by developers, but
@@ -37,7 +37,7 @@
 # These define the major/minor/patch versions of ncurses.
 NCURSES_MAJOR = 5
 NCURSES_MINOR = 9
-NCURSES_PATCH = 20121006
+NCURSES_PATCH = 20121013
 
 # We don't append the patch to the version, since this only applies to releases
 VERSION = $(NCURSES_MAJOR).$(NCURSES_MINOR)
Index: misc/terminfo.src
--- ncurses-5.9-20121006+/misc/terminfo.src	2012-08-11 15:27:54.000000000 +0000
+++ ncurses-5.9-20121013/misc/terminfo.src	2012-10-13 23:17:51.000000000 +0000
@@ -6,8 +6,8 @@
 # Report bugs and new terminal descriptions to
 #	bug-ncurses@gnu.org
 #
-#	$Revision: 1.466 $
-#	$Date: 2012/08/11 15:27:54 $
+#	$Revision: 1.467 $
+#	$Date: 2012/10/13 23:17:51 $
 #
 # The original header is preserved below for reference.  It is noted that there
 # is a "newer" version which differs in some cosmetic details (but actually
@@ -4042,6 +4042,14 @@
 gnome-2008|GNOME Terminal snapshot 2.22.3,
 	use=vte-2008,
 
+# GNOME Terminal 3.6.0 (2012)
+# VTE 0.34.1 refers to an unreleased version as of 2012-10-13 (0.34.0 was
+# released 2012-09-26, 0.34.1 has not been marked in git) -TD
+vte-2012|VTE 0.34.1,
+	ritm=\E[23m, sitm=\E[3m, use=xterm+pcc2, use=gnome-fc5,
+gnome-2012|GNOME Terminal 3.6.0,
+	use=vte-2012,
+
 # GNOME terminal may automatically use the contents of the "xterm" terminfo to
 # supply key information which is not built into the program.  With 2.22.3,
 # this list is built into the program (which addresses the inadvertant use of
@@ -4070,7 +4078,7 @@
 	use=vte+pcfkeys,
 
 vte|VTE aka GNOME Terminal,
-	use=vte-2008,
+	use=vte-2012,
 gnome|GNOME Terminal,
 	use=vte,
 
@@ -4087,7 +4095,7 @@
 # Since most of the terminfo-related behavior is due to the VTE library,
 # the terminfo is the same as gnome-terminal.
 xfce|Xfce Terminal,
-	use=vte,
+	use=vte-2008,
 
 #### Other GNOME
 # Multi-Gnome-Terminal 1.6.2
@@ -22937,4 +22945,8 @@
 #	* add nsterm-256color, make this the default nsterm -TD
 #	* remove bw from nsterm-bce, per testing with tack -TD
 #
+# 2012-10-12
+#       * add vte-2012, gnome-2012, making these the defaults for vte/gnome
+#	  (patch by Christian Persch).
+#
 ######## SHANTIH!  SHANTIH!  SHANTIH!
Index: package/debian/changelog
--- ncurses-5.9-20121006+/package/debian/changelog	2012-10-06 18:53:17.000000000 +0000
+++ ncurses-5.9-20121013/package/debian/changelog	2012-10-13 23:21:16.000000000 +0000
@@ -1,8 +1,8 @@
-ncurses6 (5.9-20121006) unstable; urgency=low
+ncurses6 (5.9-20121013) unstable; urgency=low
 
   * latest weekly patch
 
- -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 06 Oct 2012 14:53:14 -0400
+ -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 13 Oct 2012 19:21:12 -0400
 
 ncurses6 (5.9-20120608) unstable; urgency=low
 
Index: package/ncurses.spec
--- ncurses-5.9-20121006+/package/ncurses.spec	2012-10-06 18:53:00.000000000 +0000
+++ ncurses-5.9-20121013/package/ncurses.spec	2012-10-13 23:20:57.000000000 +0000
@@ -1,7 +1,7 @@
 Summary: shared libraries for terminal handling
 Name: ncurses6
 Release: 5.9
-Version: 20121006
+Version: 20121013
 License: X11
 Group: Development/Libraries
 Source: ncurses-%{release}-%{version}.tgz
